<?php
// File: admin/add_category.php
require_once __DIR__ . '/../config/db.php';
require_once __DIR__ . '/auth.php';
if (session_status() === PHP_SESSION_NONE) session_start();
requireLogin();
if ($_SESSION['user']['group_id'] < 3) exit('Unauthorized');

$name = '';
$errors = [];
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $name = trim($_POST['name']);
    if (!$name) $errors[] = 'Name is required.';
    if (empty($errors)) {
        $stmt = $db->prepare("INSERT INTO link_categories (name) VALUES (?)");
        $stmt->bind_param("s", $name);
        $stmt->execute();
        header('Location: categories.php'); exit;
    }
}
?>
<!DOCTYPE html>
<html>
<head>
    <title>Link Vault</title>
    <link rel="stylesheet" href="css/admin.css">
</head>
<body>
<div class="dashboard-wrapper">
  <h1>Add New Category</h1>
  <?php if ($errors): ?><div class="errors"><?= implode('<br>', $errors) ?></div><?php endif; ?>
  <form method="post">
    <label>Name</label>
    <input type="text" name="name" value="<?= htmlspecialchars($name) ?>" required>
    <button type="submit">Save</button>
    <a href="categories.php">Cancel</a>
  </form>
</div>
</body>
</html>