<?php
// File: admin/categories.php
// Lists all categories and provides link to manage links

date_default_timezone_set('America/Los_Angeles');
require_once __DIR__ . '/../config/db.php';
require_once __DIR__ . '/auth.php';
if (session_status() === PHP_SESSION_NONE) session_start();
requireLogin();
// Access control: Admins and Webmasters only
if ($_SESSION['user']['group_id'] < 3) {
    echo "<p>Unauthorized.</p>";
    exit;
}

// Handle delete action
if (isset($_GET['delete']) && is_numeric($_GET['delete'])) {
    $stmt = $db->prepare("DELETE FROM link_categories WHERE id = ?");
    $stmt->bind_param("i", $_GET['delete']);
    $stmt->execute();
    header('Location: categories.php');
    exit;
}

// Fetch categories
$result = $db->query("SELECT id, name FROM link_categories ORDER BY name");
?>
<!DOCTYPE html>
<html>
<head>
    <title>Link Vault</title>
    <link rel="stylesheet" href="css/admin.css">
</head>
<body>
<div class="dashboard-wrapper">
  <h1>Manage Link Categories</h1>
  <a href="add_category.php" class="btn">Add New Category</a>
  <table class="table">
    <thead><tr><th>Name</th><th>Links</th><th>Edit</th><th>Delete</th></tr></thead>
    <tbody>
      <?php while ($row = $result->fetch_assoc()): ?>
        <tr>
          <td><?= htmlspecialchars($row['name']) ?></td>
          <td><a href="links.php?category_id=<?= $row['id'] ?>">View/Add Links</a></td>
          <td><a href="edit_category.php?id=<?= $row['id'] ?>">Edit</a></td>
          <td><a href="categories.php?delete=<?= $row['id'] ?>" onclick="return confirm('Delete category?');">Delete</a></td>
        </tr>
      <?php endwhile; ?>
    </tbody>
  </table>
</div>
</body>
</html>